--- old/usr/src/test/zfs-tests/tests/functional/zvol/zvol_swap/cleanup.ksh	Wed Aug 31 16:21:43 2016
+++ new/usr/src/test/zfs-tests/tests/functional/zvol/zvol_swap/cleanup.ksh	Wed Aug 31 16:21:43 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -35,17 +35,17 @@
 
 verify_runnable "global"
 
-log_must $SWAPADD
+log_must swapadd
 for swapdev in $SAVESWAPDEVS
 do
 	if ! is_swap_inuse $swapdev ; then
-		log_must $SWAP -a $swapdev >/dev/null 2>&1
+		log_must swap -a $swapdev >/dev/null 2>&1
 	fi
 done
 
 voldev=/dev/zvol/dsk/$TESTPOOL/$TESTVOL
 if is_swap_inuse $voldev ; then
-	log_must $SWAP -d $voldev
+	log_must swap -d $voldev
 fi
 
 default_zvol_cleanup
--- old/usr/src/test/zfs-tests/tests/functional/zvol/zvol_swap/setup.ksh	Wed Aug 31 16:21:43 2016
+++ new/usr/src/test/zfs-tests/tests/functional/zvol/zvol_swap/setup.ksh	Wed Aug 31 16:21:43 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -37,7 +37,7 @@
 
 for i in $SAVESWAPDEVS ; do
 	log_note "Executing: swap -d $i"
-	$SWAP -d $i >/dev/null 2>&1
+	swap -d $i >/dev/null 2>&1
 	if [[ $? != 0 ]]; then
 		log_untested "Unable to delete swap device $i because of" \
 				"insufficient RAM"
--- old/usr/src/test/zfs-tests/tests/functional/zvol/zvol_swap/zvol_swap.cfg	Wed Aug 31 16:21:43 2016
+++ new/usr/src/test/zfs-tests/tests/functional/zvol/zvol_swap/zvol_swap.cfg	Wed Aug 31 16:21:43 2016
@@ -25,7 +25,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/zvol/zvol.cfg
@@ -33,7 +33,7 @@
 #
 # Remember swap devices
 #
-SAVESWAPDEVS=$($SWAP -l | $NAWK '(NR != 1) {print $1}')
+SAVESWAPDEVS=$(swap -l | nawk '(NR != 1) {print $1}')
 
 export BLOCKSZ=$(( 1024 * 1024 ))
 export NUM_WRITES=40
--- old/usr/src/test/zfs-tests/tests/functional/zvol/zvol_swap/zvol_swap_001_pos.ksh	Wed Aug 31 16:21:43 2016
+++ new/usr/src/test/zfs-tests/tests/functional/zvol/zvol_swap/zvol_swap_001_pos.ksh	Wed Aug 31 16:21:43 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -48,10 +48,10 @@
 
 function cleanup
 {
-	$RM -rf /tmp/$TESTFILE
+	rm -rf /tmp/$TESTFILE
 
 	if is_swap_inuse $voldev ; then
-		log_must $SWAP -d $voldev
+		log_must swap -d $voldev
 	fi
 }
 
@@ -61,16 +61,16 @@
 
 voldev=/dev/zvol/dsk/$TESTPOOL/$TESTVOL
 log_note "Add zvol volume as swap space"
-log_must $SWAP -a $voldev
+log_must swap -a $voldev
 
 log_note "Create a file under /tmp"
-log_must $FILE_WRITE -o create -f /tmp/$TESTFILE \
+log_must file_write -o create -f /tmp/$TESTFILE \
     -b $BLOCKSZ -c $NUM_WRITES -d $DATA
 
 [[ ! -f /tmp/$TESTFILE ]] &&
     log_fail "Unable to create file under /tmp"
 
-filesize=`$LS -l /tmp/$TESTFILE | $AWK '{print $5}'`
+filesize=`ls -l /tmp/$TESTFILE | awk '{print $5}'`
 tf_size=$(( BLOCKSZ * NUM_WRITES ))
 (( $tf_size != $filesize )) &&
     log_fail "testfile is ($filesize bytes), expected ($tf_size bytes)"
--- old/usr/src/test/zfs-tests/tests/functional/zvol/zvol_swap/zvol_swap_002_pos.ksh	Wed Aug 31 16:21:43 2016
+++ new/usr/src/test/zfs-tests/tests/functional/zvol/zvol_swap/zvol_swap_002_pos.ksh	Wed Aug 31 16:21:43 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -48,7 +48,7 @@
 
 vol=$TESTPOOL/$TESTVOL
 swapdev=/dev/zvol/dsk/$vol
-log_must $SWAP -a $swapdev
+log_must swap -a $swapdev
 
 # Get 80% of the number of 512 blocks in the zvol
 typeset -i count blks volsize=$(get_prop volsize $vol)
@@ -57,8 +57,8 @@
 ((count = blks / 2048))
 
 log_note "Fill 80% of swap"
-log_must $DD if=/dev/urandom of=/tmp/$TESTFILE bs=1048576 count=$count
-log_must $RM -f /tmp/$TESTFILE
-log_must $SWAP -d $swapdev
+log_must dd if=/dev/urandom of=/tmp/$TESTFILE bs=1048576 count=$count
+log_must rm -f /tmp/$TESTFILE
+log_must swap -d $swapdev
 
 log_pass "Using a zvol as swap space, fill /tmp to 80%."
--- old/usr/src/test/zfs-tests/tests/functional/zvol/zvol_swap/zvol_swap_003_pos.ksh	Wed Aug 31 16:21:43 2016
+++ new/usr/src/test/zfs-tests/tests/functional/zvol/zvol_swap/zvol_swap_003_pos.ksh	Wed Aug 31 16:21:43 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -48,16 +48,16 @@
 
 function cleanup
 {
-	[[ -f /tmp/$TESTFILE ]] && log_must $RM -f /tmp/$TESTFILE
-	[[ -f $NEW_VFSTAB_FILE ]] && log_must $RM -f $NEW_VFSTAB_FILE
+	[[ -f /tmp/$TESTFILE ]] && log_must rm -f /tmp/$TESTFILE
+	[[ -f $NEW_VFSTAB_FILE ]] && log_must rm -f $NEW_VFSTAB_FILE
 	[[ -f $PREV_VFSTAB_FILE ]] && \
-	    log_must $MV $PREV_VFSTAB_FILE $VFSTAB_FILE
-	[[ -f $PREV_VFSTAB_FILE ]] && $RM -f $PREV_VFSTAB_FILE
+	    log_must mv $PREV_VFSTAB_FILE $VFSTAB_FILE
+	[[ -f $PREV_VFSTAB_FILE ]] && rm -f $PREV_VFSTAB_FILE
 
-	log_must $SWAPADD $VFSTAB_FILE
+	log_must swapadd $VFSTAB_FILE
 
         if is_swap_inuse $voldev ; then
-		log_must $SWAP -d $voldev
+		log_must swap -d $voldev
 	fi
 
 }
@@ -72,23 +72,23 @@
 NEW_VFSTAB_FILE=/var/tmp/zvol_vfstab.$$
 PREV_VFSTAB_FILE=/var/tmp/zvol_vfstab.PREV.$$
 
-[[ -f $NEW_VFSTAB_FILE ]] && $CP /dev/null $NEW_VFSTAB_FILE
+[[ -f $NEW_VFSTAB_FILE ]] && cp /dev/null $NEW_VFSTAB_FILE
 
-$AWK '{if ($4 != "swap") print $1}' /etc/vfstab > $NEW_VFSTAB_FILE
-$ECHO "$voldev\t-\t-\tswap\t-\tno\t-"  >> $NEW_VFSTAB_FILE
+awk '{if ($4 != "swap") print $1}' /etc/vfstab > $NEW_VFSTAB_FILE
+echo "$voldev\t-\t-\tswap\t-\tno\t-"  >> $NEW_VFSTAB_FILE
 
 # Copy off the original vfstab, and run swapadd on the newly constructed one.
-log_must $CP $VFSTAB_FILE $PREV_VFSTAB_FILE
-log_must $CP $NEW_VFSTAB_FILE $VFSTAB_FILE
-log_must $SWAPADD $VFSTAB_FILE
+log_must cp $VFSTAB_FILE $PREV_VFSTAB_FILE
+log_must cp $NEW_VFSTAB_FILE $VFSTAB_FILE
+log_must swapadd $VFSTAB_FILE
 
-log_must $FILE_WRITE -o create -f /tmp/$TESTFILE \
+log_must file_write -o create -f /tmp/$TESTFILE \
     -b $BLOCKSZ -c $NUM_WRITES -d $DATA
 
 [[ ! -f /tmp/$TESTFILE ]] &&
     log_fail "Unable to create file under /tmp"
 
-filesize=`$LS -l /tmp/$TESTFILE | $AWK '{print $5}'`
+filesize=`ls -l /tmp/$TESTFILE | awk '{print $5}'`
 tf_size=$((BLOCKSZ * NUM_WRITES))
 (($tf_size != $filesize)) && \
     log_fail "testfile is ($filesize bytes), expected ($tf_size bytes)"
--- old/usr/src/test/zfs-tests/tests/functional/zvol/zvol_swap/zvol_swap_004_pos.ksh	Wed Aug 31 16:21:43 2016
+++ new/usr/src/test/zfs-tests/tests/functional/zvol/zvol_swap/zvol_swap_004_pos.ksh	Wed Aug 31 16:21:43 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -46,8 +46,8 @@
 
 function cleanup
 {
-	is_swap_inuse $swapname && log_must $SWAP -d $swapname
-	datasetexists $vol && log_must $ZFS destroy $vol
+	is_swap_inuse $swapname && log_must swap -d $swapname
+	datasetexists $vol && log_must zfs destroy $vol
 }
 
 log_assert "For an added swap zvol, (2G <= volsize <= 16G)"
@@ -61,14 +61,14 @@
 		swapname="/dev/zvol/dsk/$vol"
 
 		# Create a sparse volume to test larger sizes
-		log_must $ZFS create -s -b $vbs -V $volsize $vol
-		log_must $SWAP -a $swapname
+		log_must zfs create -s -b $vbs -V $volsize $vol
+		log_must swap -a $swapname
 
 		new_volsize=$(get_prop volsize $vol)
 		[[ $volsize -eq $new_volsize ]] || log_fail "$volsize $new_volsize"
 
-		log_must $SWAP -d $swapname
-		log_must $ZFS destroy $vol
+		log_must swap -d $swapname
+		log_must zfs destroy $vol
 	done
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/zvol/zvol_swap/zvol_swap_005_pos.ksh	Wed Aug 31 16:21:43 2016
+++ new/usr/src/test/zfs-tests/tests/functional/zvol/zvol_swap/zvol_swap_005_pos.ksh	Wed Aug 31 16:21:43 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -54,16 +54,16 @@
 # Both swaplow and swaplen are the desired length of
 # the swap area in 512-byte blocks.
 #
-((pageblocks = $($PAGESIZE) / 512))
+((pageblocks = $(pagesize) / 512))
 ((volblocks = $(get_prop volsize $vol) / 512))
 ((max_swaplow = (volblocks - (pageblocks * 2))))
 
 for i in {0..10}; do
-	swaplow=$($SHUF -n 1 -i ${pageblocks}-${max_swaplow})
+	swaplow=$(shuf -n 1 -i ${pageblocks}-${max_swaplow})
 	((maxlen = max_swaplow - swaplow))
-	swaplen=$($SHUF -n 1 -i ${pageblocks}-${maxlen})
-	log_must $SWAP -a $swapname $swaplow $swaplen
-	log_must $SWAP -d $swapname $swaplow
+	swaplen=$(shuf -n 1 -i ${pageblocks}-${maxlen})
+	log_must swap -a $swapname $swaplow $swaplen
+	log_must swap -d $swapname $swaplow
 done
 
 log_pass $assertion
--- old/usr/src/test/zfs-tests/tests/functional/zvol/zvol_swap/zvol_swap_006_pos.ksh	Wed Aug 31 16:21:43 2016
+++ new/usr/src/test/zfs-tests/tests/functional/zvol/zvol_swap/zvol_swap_006_pos.ksh	Wed Aug 31 16:21:43 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -50,7 +50,7 @@
 	typeset -i i=0
 
 	while ((count > 0)); do
-		log_must $SWAP -d $swapname ${swap_opt[$i]}
+		log_must swap -d $swapname ${swap_opt[$i]}
 
 		((i += 2))
 		((count -= 1))
@@ -67,7 +67,7 @@
 
 typeset vol=$TESTPOOL/$TESTVOL
 typeset -i pageblocks volblocks
-((pageblocks = $($PAGESIZE) / 512))
+((pageblocks = $(pagesize) / 512))
 ((volblocks = $(get_prop volsize $vol) / 512))
 
 log_note "Verify volume can be add as several segments."
@@ -87,11 +87,11 @@
 typeset -i i=0 count=0
 
 if is_swap_inuse $swapname ; then
-	log_must $SWAP -d $swapname
+	log_must swap -d $swapname
 fi
 
 while ((i < ${#swap_opt[@]})); do
-	log_must $SWAP -a $swapname ${swap_opt[$i]} ${swap_opt[((i+1))]}
+	log_must swap -a $swapname ${swap_opt[$i]} ${swap_opt[((i+1))]}
 
 	((i += 2))
 	((count += 1))
@@ -100,7 +100,7 @@
 log_note "Verify overlapping swap volume are not allowed"
 i=0
 while ((i < ${#swap_opt[@]})); do
-	log_mustnot $SWAP -a $swapname ${swap_opt[$i]}
+	log_mustnot swap -a $swapname ${swap_opt[$i]}
 
 	((i += 2))
 done
--- old/usr/src/test/zfs-tests/tests/perf/perf.shlib	Wed Aug 31 16:21:43 2016
+++ new/usr/src/test/zfs-tests/tests/perf/perf.shlib	Wed Aug 31 16:21:43 2016
@@ -10,7 +10,7 @@
 #
 
 #
-# Copyright (c) 2015 by Delphix. All rights reserved.
+# Copyright (c) 2015, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -65,14 +65,14 @@
 
 				if $do_recreate; then
 					recreate_perfpool
-					log_must $ZFS create $PERF_FS_OPTS \
+					log_must zfs create $PERF_FS_OPTS \
 					    $TESTFS
 				fi
 
 				if $clear_cache; then
 					# Clear the ARC
-					$ZPOOL export $PERFPOOL
-					$ZPOOL import $PERFPOOL
+					zpool export $PERFPOOL
+					zpool import $PERFPOOL
 				fi
 
 				export RUNTIME=$PERF_RUNTIME
@@ -80,13 +80,13 @@
 				export NUMJOBS=$threads
 				export SYNC_TYPE=$sync
 				export BLOCKSIZE=$iosize
-				$SYNC
+				sync
 
 				# Start the data collection
 				do_collect_scripts $threads $sync $iosize
 
 				# Start the load
-				log_must $FIO $FIO_SCRIPTS/$script
+				log_must fio $FIO_SCRIPTS/$script
 			done
 		done
 	done
@@ -114,17 +114,17 @@
 	typeset oIFS=$IFS
 	IFS=','
 	for item in $PERF_COLLECT_SCRIPTS; do
-		collect_scripts+=($($ECHO $item | $SED 's/^ *//g'))
+		collect_scripts+=($(echo $item | sed 's/^ *//g'))
 	done
 	IFS=$oIFS
 
 	typeset idx=0
 	while [[ $idx -lt "${#collect_scripts[@]}" ]]; do
-		typeset logbase="$(get_perf_output_dir)/$($BASENAME \
+		typeset logbase="$(get_perf_output_dir)/$(basename \
 		    $SUDO_COMMAND)"
 		typeset outfile="$logbase.${collect_scripts[$idx + 1]}.$suffix"
 
-		$TIMEOUT $PERF_RUNTIME ${collect_scripts[$idx]} >$outfile 2>&1 &
+		timeout $PERF_RUNTIME ${collect_scripts[$idx]} >$outfile 2>&1 &
 		((idx += 2))
 	done
 
@@ -137,9 +137,9 @@
 function get_perf_output_dir
 {
 	typeset dir="$(pwd)/perf_data"
-	[[ -d $dir ]] || $MKDIR -p $dir
+	[[ -d $dir ]] || mkdir -p $dir
 
-	$ECHO $dir
+	echo $dir
 }
 
 #
@@ -157,7 +157,7 @@
 	if [[ -n $PERFPOOL_CREATE_CMD ]]; then
 		log_must $PERFPOOL_CREATE_CMD
 	else
-		log_must eval "$ZPOOL create -f $PERFPOOL $DISKS"
+		log_must eval "zpool create -f $PERFPOOL $DISKS"
 	fi
 }
 
@@ -179,15 +179,15 @@
 	typeset config=$PERF_DATA_DIR/$1
 
 	echo "{" >>$config
-	$DTRACE -qn 'BEGIN{
+	dtrace -qn 'BEGIN{
 	    printf("  \"ncpus\": %d,\n", `ncpus);
 	    printf("  \"physmem\": %u,\n", `physmem * `_pagesize);
 	    printf("  \"c_max\": %u,\n", `arc_stats.arcstat_c_max.value.ui64);
 	    printf("  \"kmem_flags\": \"0x%x\",", `kmem_flags);
 	    exit(0)}' >>$config
-	$ECHO "  \"hostname\": \"$($UNAME -n)\"," >>$config
-	$ECHO "  \"kernel version\": \"$($UNAME -v)\"," >>$config
-	$IOSTAT -En | $AWK 'BEGIN {
+	echo "  \"hostname\": \"$(uname -n)\"," >>$config
+	echo "  \"kernel version\": \"$(uname -v)\"," >>$config
+	iostat -En | awk 'BEGIN {
 	    printf("  \"disks\": {\n"); first = 1}
 	    /^c/ {disk = $1}
 	    /^Size: [^0]/ {size = $2;
@@ -194,8 +194,8 @@
 	    if (first != 1) {printf(",\n")} else {first = 0}
 	    printf("    \"%s\": \"%s\"", disk, size)}
 	    END {printf("\n  },\n")}' >>$config
-	$SED -n 's/^set \(.*\)[ ]=[ ]\(.*\)/\1=\2/p' /etc/system | \
-	    $AWK -F= 'BEGIN {printf("  \"system\": {\n"); first = 1}
+	sed -n 's/^set \(.*\)[ ]=[ ]\(.*\)/\1=\2/p' /etc/system | \
+	    awk -F= 'BEGIN {printf("  \"system\": {\n"); first = 1}
 	    {if (first != 1) {printf(",\n")} else {first = 0};
 	    printf("    \"%s\": %s", $1, $2)}
 	    END {printf("\n  }\n")}' >>$config
@@ -204,12 +204,12 @@
 
 function num_jobs_by_cpu
 {
-	typeset ncpu=$($PSRINFO | $WC -l)
+	typeset ncpu=$(psrinfo | wc -l)
 	typeset num_jobs=$ncpu
 
-	[[ $ncpu -gt 8 ]] && num_jobs=$($ECHO "$ncpu * 3 / 4" | $BC)
+	[[ $ncpu -gt 8 ]] && num_jobs=$(echo "$ncpu * 3 / 4" | bc)
 
-	$ECHO $num_jobs
+	echo $num_jobs
 }
 
 function pool_to_lun_list
@@ -218,16 +218,16 @@
 	typeset ctd ctds devname lun
 	typeset lun_list=':'
 
-	ctds=$($ZPOOL list -v $pool | $AWK '/c[0-9]*t[0-9a-fA-F]*d[0-9]*/ \
+	ctds=$(zpool list -v $pool | awk '/c[0-9]*t[0-9a-fA-F]*d[0-9]*/ \
 	    {print $1}')
 
 	for ctd in $ctds; do
 		# Get the device name as it appears in /etc/path_to_inst
-		devname=$($READLINK -f /dev/dsk/${ctd}s0 | $SED -n \
+		devname=$(readlink -f /dev/dsk/${ctd}s0 | sed -n \
 		    's/\/devices\([^:]*\):.*/\1/p')
 		# Add a string composed of the driver name and instance
 		# number to the list for comparison with dev_statname.
-		lun=$($SED 's/"//g' /etc/path_to_inst | $GREP $devname | $AWK \
+		lun=$(sed 's/"//g' /etc/path_to_inst | grep $devname | awk \
 		    '{print $3$2}')
 		lun_list="$lun_list$lun:"
 	done
--- old/usr/src/test/zfs-tests/tests/perf/regression/random_reads.ksh	Wed Aug 31 16:21:44 2016
+++ new/usr/src/test/zfs-tests/tests/perf/regression/random_reads.ksh	Wed Aug 31 16:21:44 2016
@@ -12,7 +12,7 @@
 #
 
 #
-# Copyright (c) 2015 by Delphix. All rights reserved.
+# Copyright (c) 2015, 2016 by Delphix. All rights reserved.
 #
 
 #
@@ -31,7 +31,7 @@
 
 function cleanup
 {
-	log_must $ZFS destroy $TESTFS
+	log_must zfs destroy $TESTFS
 }
 
 log_assert "Measure IO stats during random read load"
@@ -39,7 +39,7 @@
 
 export TESTFS=$PERFPOOL/testfs
 recreate_perfpool
-log_must $ZFS create $PERF_FS_OPTS $TESTFS
+log_must zfs create $PERF_FS_OPTS $TESTFS
 
 # Aim to fill the pool to 50% capacity while accounting for a 3x compressratio.
 export TOTAL_SIZE=$(($(get_prop avail $TESTFS) * 3 / 2))
@@ -64,14 +64,14 @@
 # of the available files.
 export NUMJOBS=$(get_max $PERF_NTHREADS)
 export FILE_SIZE=$((TOTAL_SIZE / NUMJOBS))
-log_must $FIO $FIO_SCRIPTS/mkfiles.fio
+log_must fio $FIO_SCRIPTS/mkfiles.fio
 
 # Set up the scripts and output files that will log performance data.
 lun_list=$(pool_to_lun_list $PERFPOOL)
 log_note "Collecting backend IO stats with lun list $lun_list"
 export collect_scripts=("$PERF_SCRIPTS/io.d $PERFPOOL $lun_list 1" "io"
-    "$VMSTAT 1" "vmstat" "$MPSTAT 1" "mpstat" "$IOSTAT -xcnz 1" "iostat")
+    "vmstat 1" "vmstat" "mpstat 1" "mpstat" "iostat -xcnz 1" "iostat")
 
 log_note "Random reads with $PERF_RUNTYPE settings"
-do_fio_run random_reads.fio $FALSE $TRUE
+do_fio_run random_reads.fio false true
 log_pass "Measure IO stats during random read load"
--- old/usr/src/test/zfs-tests/tests/perf/regression/random_readwrite.ksh	Wed Aug 31 16:21:44 2016
+++ new/usr/src/test/zfs-tests/tests/perf/regression/random_readwrite.ksh	Wed Aug 31 16:21:44 2016
@@ -12,7 +12,7 @@
 #
 
 #
-# Copyright (c) 2015 by Delphix. All rights reserved.
+# Copyright (c) 2015, 2016 by Delphix. All rights reserved.
 #
 
 #
@@ -31,7 +31,7 @@
 
 function cleanup
 {
-	log_must $ZFS destroy $TESTFS
+	log_must zfs destroy $TESTFS
 }
 
 log_assert "Measure IO stats during random read-write load"
@@ -39,7 +39,7 @@
 
 export TESTFS=$PERFPOOL/testfs
 recreate_perfpool
-log_must $ZFS create $PERF_FS_OPTS $TESTFS
+log_must zfs create $PERF_FS_OPTS $TESTFS
 
 # Aim to fill the pool to 50% capacity while accounting for a 3x compressratio.
 export TOTAL_SIZE=$(($(get_prop avail $TESTFS) * 3 / 2))
@@ -64,14 +64,14 @@
 # a subset of the available files.
 export NUMJOBS=$(get_max $PERF_NTHREADS)
 export FILE_SIZE=$((TOTAL_SIZE / NUMJOBS))
-log_must $FIO $FIO_SCRIPTS/mkfiles.fio
+log_must fio $FIO_SCRIPTS/mkfiles.fio
 
 # Set up the scripts and output files that will log performance data.
 lun_list=$(pool_to_lun_list $PERFPOOL)
 log_note "Collecting backend IO stats with lun list $lun_list"
 export collect_scripts=("$PERF_SCRIPTS/io.d $PERFPOOL $lun_list 1" "io"
-    "$VMSTAT 1" "vmstat" "$MPSTAT 1" "mpstat" "$IOSTAT -xcnz 1" "iostat")
+    "vmstat 1" "vmstat" "mpstat 1" "mpstat" "iostat -xcnz 1" "iostat")
 
 log_note "Random reads and writes with $PERF_RUNTYPE settings"
-do_fio_run random_readwrite.fio $FALSE $TRUE
+do_fio_run random_readwrite.fio false true
 log_pass "Measure IO stats during random read and write load"
--- old/usr/src/test/zfs-tests/tests/perf/regression/random_writes.ksh	Wed Aug 31 16:21:44 2016
+++ new/usr/src/test/zfs-tests/tests/perf/regression/random_writes.ksh	Wed Aug 31 16:21:44 2016
@@ -12,7 +12,7 @@
 #
 
 #
-# Copyright (c) 2015 by Delphix. All rights reserved.
+# Copyright (c) 2015, 2016 by Delphix. All rights reserved.
 #
 
 #
@@ -30,7 +30,7 @@
 
 function cleanup
 {
-	log_must $ZFS destroy $TESTFS
+	log_must zfs destroy $TESTFS
 }
 
 log_assert "Measure IO stats during random write load"
@@ -38,7 +38,7 @@
 
 export TESTFS=$PERFPOOL/testfs
 recreate_perfpool
-log_must $ZFS create $PERF_FS_OPTS $TESTFS
+log_must zfs create $PERF_FS_OPTS $TESTFS
 
 # Aim to fill the pool to 50% capacity while accounting for a 3x compressratio.
 export TOTAL_SIZE=$(($(get_prop avail $TESTFS) * 3 / 2))
@@ -62,8 +62,8 @@
 lun_list=$(pool_to_lun_list $PERFPOOL)
 log_note "Collecting backend IO stats with lun list $lun_list"
 export collect_scripts=("$PERF_SCRIPTS/io.d $PERFPOOL $lun_list 1" "io"
-    "$VMSTAT 1" "vmstat" "$MPSTAT 1" "mpstat" "$IOSTAT -xcnz 1" "iostat")
+    "vmstat 1" "vmstat" "mpstat 1" "mpstat" "iostat -xcnz 1" "iostat")
 
 log_note "Random writes with $PERF_RUNTYPE settings"
-do_fio_run random_writes.fio $TRUE $FALSE
+do_fio_run random_writes.fio true false
 log_pass "Measure IO stats during random write load"
--- old/usr/src/test/zfs-tests/tests/perf/regression/sequential_reads.ksh	Wed Aug 31 16:21:44 2016
+++ new/usr/src/test/zfs-tests/tests/perf/regression/sequential_reads.ksh	Wed Aug 31 16:21:44 2016
@@ -12,7 +12,7 @@
 #
 
 #
-# Copyright (c) 2015 by Delphix. All rights reserved.
+# Copyright (c) 2015, 2016 by Delphix. All rights reserved.
 #
 
 #
@@ -31,7 +31,7 @@
 
 function cleanup
 {
-	log_must $ZFS destroy $TESTFS
+	log_must zfs destroy $TESTFS
 }
 
 log_assert "Measure IO stats during sequential read load"
@@ -39,7 +39,7 @@
 
 export TESTFS=$PERFPOOL/testfs
 recreate_perfpool
-log_must $ZFS create $PERF_FS_OPTS $TESTFS
+log_must zfs create $PERF_FS_OPTS $TESTFS
 
 # Aim to fill the pool to 50% capacity while accounting for a 3x compressratio.
 export TOTAL_SIZE=$(($(get_prop avail $TESTFS) * 3 / 2))
@@ -64,15 +64,15 @@
 # of the available files.
 export NUMJOBS=$(get_max $PERF_NTHREADS)
 export FILE_SIZE=$((TOTAL_SIZE / NUMJOBS))
-log_must $FIO $FIO_SCRIPTS/mkfiles.fio
+log_must fio $FIO_SCRIPTS/mkfiles.fio
 
 # Set up the scripts and output files that will log performance data.
 lun_list=$(pool_to_lun_list $PERFPOOL)
 log_note "Collecting backend IO stats with lun list $lun_list"
 export collect_scripts=("$PERF_SCRIPTS/io.d $PERFPOOL $lun_list 1" "io"
-    "$PERF_SCRIPTS/prefetch_io.d $PERFPOOL 1" "prefetch" "$VMSTAT 1" "vmstat"
-    "$MPSTAT 1" "mpstat" "$IOSTAT -xcnz 1" "iostat")
+    "$PERF_SCRIPTS/prefetch_io.d $PERFPOOL 1" "prefetch" "vmstat 1" "vmstat"
+    "mpstat 1" "mpstat" "iostat -xcnz 1" "iostat")
 
 log_note "Sequential reads with $PERF_RUNTYPE settings"
-do_fio_run sequential_reads.fio $FALSE $TRUE
+do_fio_run sequential_reads.fio false true
 log_pass "Measure IO stats during sequential read load"
--- old/usr/src/test/zfs-tests/tests/perf/regression/sequential_reads_cached.ksh	Wed Aug 31 16:21:44 2016
+++ new/usr/src/test/zfs-tests/tests/perf/regression/sequential_reads_cached.ksh	Wed Aug 31 16:21:44 2016
@@ -12,7 +12,7 @@
 #
 
 #
-# Copyright (c) 2015 by Delphix. All rights reserved.
+# Copyright (c) 2015, 2016 by Delphix. All rights reserved.
 #
 
 #
@@ -30,7 +30,7 @@
 
 function cleanup
 {
-	log_must $ZFS destroy $TESTFS
+	log_must zfs destroy $TESTFS
 }
 
 log_assert "Measure IO stats during sequential read load"
@@ -38,7 +38,7 @@
 
 export TESTFS=$PERFPOOL/testfs
 recreate_perfpool
-log_must $ZFS create $PERF_FS_OPTS $TESTFS
+log_must zfs create $PERF_FS_OPTS $TESTFS
 
 # Make sure the working set can be cached in the arc. Aim for 1/2 of arc.
 export TOTAL_SIZE=$(($(get_max_arc_size) / 2))
@@ -63,15 +63,15 @@
 # of the available files.
 export NUMJOBS=$(get_max $PERF_NTHREADS)
 export FILE_SIZE=$((TOTAL_SIZE / NUMJOBS))
-log_must $FIO $FIO_SCRIPTS/mkfiles.fio
+log_must fio $FIO_SCRIPTS/mkfiles.fio
 
 # Set up the scripts and output files that will log performance data.
 lun_list=$(pool_to_lun_list $PERFPOOL)
 log_note "Collecting backend IO stats with lun list $lun_list"
 export collect_scripts=("$PERF_SCRIPTS/io.d $PERFPOOL $lun_list 1" "io"
-    "$PERF_SCRIPTS/prefetch_io.d $PERFPOOL 1" "prefetch" "$VMSTAT 1" "vmstat"
-    "$MPSTAT 1" "mpstat" "$IOSTAT -xcnz 1" "iostat")
+    "$PERF_SCRIPTS/prefetch_io.d $PERFPOOL 1" "prefetch" "vmstat 1" "vmstat"
+    "mpstat 1" "mpstat" "iostat -xcnz 1" "iostat")
 
 log_note "Sequential cached reads with $PERF_RUNTYPE settings"
-do_fio_run sequential_reads.fio $FALSE $FALSE
+do_fio_run sequential_reads.fio false false
 log_pass "Measure IO stats during sequential cached read load"
--- old/usr/src/test/zfs-tests/tests/perf/regression/sequential_reads_cached_clone.ksh	Wed Aug 31 16:21:44 2016
+++ new/usr/src/test/zfs-tests/tests/perf/regression/sequential_reads_cached_clone.ksh	Wed Aug 31 16:21:44 2016
@@ -12,7 +12,7 @@
 #
 
 #
-# Copyright (c) 2015 by Delphix. All rights reserved.
+# Copyright (c) 2015, 2016 by Delphix. All rights reserved.
 #
 
 #
@@ -36,7 +36,7 @@
 
 function cleanup
 {
-	log_must $ZFS destroy $TESTFS
+	log_must zfs destroy $TESTFS
 }
 
 log_assert "Measure IO stats during sequential read load"
@@ -44,7 +44,7 @@
 
 export TESTFS=$PERFPOOL/testfs
 recreate_perfpool
-log_must $ZFS create $PERF_FS_OPTS $TESTFS
+log_must zfs create $PERF_FS_OPTS $TESTFS
 
 # Make sure the working set can be cached in the arc. Aim for 1/2 of arc.
 export TOTAL_SIZE=$(($(get_max_arc_size) / 2))
@@ -69,7 +69,7 @@
 # of the available files.
 export NUMJOBS=$(get_max $PERF_NTHREADS)
 export FILE_SIZE=$((TOTAL_SIZE / NUMJOBS))
-log_must $FIO $FIO_SCRIPTS/mkfiles.fio
+log_must fio $FIO_SCRIPTS/mkfiles.fio
 
 log_note "Creating snapshot, $TESTSNAP, of $TESTFS"
 create_snapshot $TESTFS $TESTSNAP
@@ -85,9 +85,9 @@
 lun_list=$(pool_to_lun_list $PERFPOOL)
 log_note "Collecting backend IO stats with lun list $lun_list"
 export collect_scripts=("$PERF_SCRIPTS/io.d $PERFPOOL $lun_list 1" "io"
-    "$PERF_SCRIPTS/prefetch_io.d $PERFPOOL 1" "prefetch" "$VMSTAT 1" "vmstat"
-    "$MPSTAT 1" "mpstat" "$IOSTAT -xcnz 1" "iostat")
+    "$PERF_SCRIPTS/prefetch_io.d $PERFPOOL 1" "prefetch" "vmstat 1" "vmstat"
+    "mpstat 1" "mpstat" "iostat -xcnz 1" "iostat")
 
 log_note "Sequential cached reads from $TESTFS with $PERF_RUNTYPE settings"
-do_fio_run sequential_reads.fio $FALSE $FALSE
+do_fio_run sequential_reads.fio false false
 log_pass "Measure IO stats during sequential cached read load"
--- old/usr/src/test/zfs-tests/tests/perf/regression/sequential_writes.ksh	Wed Aug 31 16:21:44 2016
+++ new/usr/src/test/zfs-tests/tests/perf/regression/sequential_writes.ksh	Wed Aug 31 16:21:44 2016
@@ -12,7 +12,7 @@
 #
 
 #
-# Copyright (c) 2015 by Delphix. All rights reserved.
+# Copyright (c) 2015, 2016 by Delphix. All rights reserved.
 #
 
 #
@@ -33,12 +33,12 @@
 
 function cleanup
 {
-	log_must $ZFS destroy $TESTFS
+	log_must zfs destroy $TESTFS
 }
 
 export TESTFS=$PERFPOOL/testfs
 recreate_perfpool
-log_must $ZFS create $PERF_FS_OPTS $TESTFS
+log_must zfs create $PERF_FS_OPTS $TESTFS
 
 # Aim to fill the pool to 50% capacity while accounting for a 3x compressratio.
 export TOTAL_SIZE=$(($(get_prop avail $TESTFS) * 3 / 2))
@@ -62,8 +62,8 @@
 lun_list=$(pool_to_lun_list $PERFPOOL)
 log_note "Collecting backend IO stats with lun list $lun_list"
 export collect_scripts=("$PERF_SCRIPTS/io.d $PERFPOOL $lun_list 1" "io"
-    "$VMSTAT 1" "vmstat" "$MPSTAT 1" "mpstat" "$IOSTAT -xcnz 1" "iostat")
+    "vmstat 1" "vmstat" "mpstat 1" "mpstat" "iostat -xcnz 1" "iostat")
 
 log_note "Sequential writes with $PERF_RUNTYPE settings"
-do_fio_run sequential_writes.fio $TRUE $FALSE
+do_fio_run sequential_writes.fio true false
 log_pass "Measure IO stats during sequential write load"
